Name:           celt051
Version:        0.5.1.3
Release:        20
Summary:        An audio codec for use in low-delay speech and audio communication
License:        BSD-3-Clause
URL:            http://www.celt-codec.org
Source0:        http://downloads.us.xiph.org/releases/celt/celt-%{version}.tar.gz

BuildRequires:  libogg-devel, gcc

%description
The CELT codec is an experimental audio codec for use in low-delay speech 
and audio communication. CELT stands for "Constrained Energy Lapped Transform".
It applies some of the CELP principles, but does everything in the frequency 
domain, which removes some of the limitations of CELP.

%package        devel
Summary:        Development package for celt051
Requires:       libogg-devel pkgconfig celt051

%description devel
libraries and header files for developing applications that use celt051.

%prep
%autosetup -n celt-%{version} -p1

%build
%configure
%{?disable_rpath}

%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING README TODO
%{_bindir}/{celtenc051,celtdec051}
%{_libdir}/{libcelt051.so.0,libcelt051.so.0.0.0}

%files devel
%doc COPYING README
%{_includedir}/celt051
%{_libdir}/pkgconfig/celt051.pc
%{_libdir}/{libcelt051.so,*.a}

%changelog
* Tue May 10 2022 Ge Wang <wangge20@h-partner.com> - 0.5.1.3-20
- license compliance rectification

* Tue Jun 29 2021 zhouwenpei <zhouwenpei1@huawei.com> - 0.5.1.3-19
- add buildrequire gcc

* Sat Nov 23 2019 wutao <wutao61@huawei.com> - 0.5.1.3-18
- Package init
